//
//  CheckFaceViewController.m
//  EKDemo
//
//  Created by jinkeke@techshino.com on 16/3/3.
//  Copyright © 2016年 www.techshino.com. All rights reserved.
//

#import "CheckFaceViewController.h"
#import "EKFaceAPI.h"

@interface CheckFaceViewController ()<UIImagePickerControllerDelegate,UINavigationControllerDelegate>

@property (weak, nonatomic) IBOutlet UITextView *checkResult;
@end

@implementation CheckFaceViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"人脸检测示例";

}
- (IBAction)takePhotoAction:(id)sender {
    self.checkResult.text = @"";
    UIImagePickerController *picker = [[UIImagePickerController alloc] init];
    picker.sourceType = UIImagePickerControllerSourceTypeCamera;
    picker.delegate = self;
    picker.videoQuality = UIImagePickerControllerQualityTypeLow;
    
    [self.navigationController presentViewController:picker animated:YES completion:nil];
    

}


- (IBAction)fromPotolibAction:(id)sender {
    self.checkResult.text = @"";
    UIImagePickerController *picker = [[UIImagePickerController alloc] init];
    picker.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
    picker.delegate = self;
    picker.videoQuality = UIImagePickerControllerQualityTypeLow;
    
    [self.navigationController presentViewController:picker animated:YES completion:nil];
}

#pragma mark - UIImagePickerControllerDelegate
// 选择了图片或者拍照了
- (void)imagePickerController:(UIImagePickerController *)aPicker didFinishPickingMediaWithInfo:(NSDictionary *)info {
    [aPicker dismissViewControllerAnimated:YES completion:nil];
    UIImage *image = [info valueForKey:UIImagePickerControllerOriginalImage];
    NSLog(@"image size : %@", NSStringFromCGSize(image.size));
    NSData *imgData = UIImageJPEGRepresentation(image, 0.1f);
    NSString *b64 = [imgData base64EncodedStringWithOptions:0];
    
    NSLog(@"%ld",b64.length);
    [EKFaceAPI checkingFaceInfoWithImageData:b64 complete:^(id JSON, NSError *error) {
        if (error) {
            self.checkResult.text = @"人脸检测失败！服务器通讯错误！";
        }else
        {
            NSLog(@"%@",JSON);
            self.checkResult.text = [self DataTOjsonString:JSON];
        }

    }];
    
    
    
}


-(NSString*)DataTOjsonString:(id)object
{
    NSString *jsonString = nil;
    NSError *error;
    NSData *jsonData = [NSJSONSerialization dataWithJSONObject:object
                                                       options:NSJSONWritingPrettyPrinted // Pass 0 if you don't care about the readability of the generated string
                                                         error:&error];
    if (! jsonData) {
        NSLog(@"Got an error: %@", error);
    } else {
        jsonString = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
    }
    return jsonString;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
